Subject: bug#11270: 23.4; Emacs ignores input

From: [email-masked]
Date: Wed, 18 Apr 2012 12:42:22 +0200

I try to run emacs 23.4 in a x86 chroot remote ssh shell, with -nw
although emacs is compiled with X support.  After frame is initialized
and target file loaded, emacs ignores any input.  I can kill it from
another shell, and see that everything I typed is displayed in shell
below usual "Terminated".  Following advice given in #emacs@freenode I
tried running with -Q, -q, without loading bash profile/rc, with clean
environment, using different terminals and different TERM settings to no
avail.  I tried stracing, and after each keyboard stroke I see

 --- {si_signo=SIGIO, si_code=SI_KERNEL} (I/O possible) ---
sigreturn()                             = ? (mask now [])

in the log and nothing else.